Package org.eclipse.ecf.remoteservice.rest.client

## Class RestClientContainerInstantiator

- java.lang.Object
- - org.eclipse.ecf.core.provider.BaseContainerInstantiator
  - - org.eclipse.ecf.remoteservice.rest.client.RestClientContainerInstantiator

All Implemented Interfaces:
  `IContainerInstantiator`, `IRemoteServiceContainerInstantiator`

    public abstract class RestClientContainerInstantiator
    extends BaseContainerInstantiator
    implements IRemoteServiceContainerInstantiator

### Field Summary

Fields
`static String[]` `intents`

### Fields inherited from class org.eclipse.ecf.core.provider.BaseContainerInstantiator

`EMPTY_CLASS_ARRAY, EMPTY_STRING_ARRAY, NO_ADAPTERS_ARRAY`

### Constructor Summary

Constructors
`RestClientContainerInstantiator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Dictionary` `getPropertiesForImportedConfigs​(ContainerTypeDescription description, String[] importedConfigs, Dictionary exportedProperties)` Get the properties associated with the given description, with the given importedConfigTypes, via the given exportedProperties.
`String[]` `getSupportedConfigs​(ContainerTypeDescription description)` Get supported configs for the given ContainerTypeDescription.
`String[]` `getSupportedIntents​(ContainerTypeDescription description)` Get supported intents for the given ContainerTypeDescription.

### Methods inherited from class org.eclipse.ecf.core.provider.BaseContainerInstantiator

`createInstance, getAdaptersForClass, getIDParameterValue, getIDParameterValue, getIDParameterValue, getIntegerFromArg, getInterfacesAndAdaptersForClass, getInterfacesForClass, getInterfacesForClass, getMap, getMapParameterString, getMapParameterString, getParameterValue, getParameterValue, getParameterValue, getParameterValue, getParameterValue, getStringFromArg, getSupportedAdapterTypes, getSupportedParameterTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.core.provider.IRemoteServiceContainerInstantiator

`getImportedConfigs`

### Field Detail

#### intents

    public static final String[] intents

### Constructor Detail

#### RestClientContainerInstantiator

    public RestClientContainerInstantiator()

### Method Detail

#### getSupportedConfigs

    public String[] getSupportedConfigs​(ContainerTypeDescription description)

Description copied from interface: `IRemoteServiceContainerInstantiator`
Get supported configs for the given ContainerTypeDescription. This method will be called to determine what the OSGi remote service supported config types are for the given description during the search for the service exporter provider/containers upon remote service registration.

Specified by:
  `getSupportedConfigs` in interface `IRemoteServiceContainerInstantiator`
Parameters:
  `description` - the ContainerTypeDescription to return the supported configs for. Will not be `null`.
Returns:
  String[] the supported config types. `null` may be returned if the given description does not support any config types.

#### getPropertiesForImportedConfigs

    public Dictionary getPropertiesForImportedConfigs​(ContainerTypeDescription description,
                                                      String[] importedConfigs,
                                                      Dictionary exportedProperties)

Description copied from interface: `IRemoteServiceContainerInstantiator`
Get the properties associated with the given description, with the given importedConfigTypes, via the given exportedProperties.

Specified by:
  `getPropertiesForImportedConfigs` in interface `IRemoteServiceContainerInstantiator`
Parameters:
  `description` - the container type description under consideration.
  `importedConfigs` - the imported config types for the given properties. Will not be `null`, and should be the same values as returned from `IRemoteServiceContainerInstantiator.getImportedConfigs(ContainerTypeDescription, String[])`.
  `exportedProperties` - the properties from the exported service. Will not be `null`.
Returns:
  Dictionary that has all of the properties for the importedConfigTypes. May be `null` if no properties are associated with the given description, importedConfigTypes, exportedProperties.

#### getSupportedIntents

    public String[] getSupportedIntents​(ContainerTypeDescription description)

Description copied from interface: `IRemoteServiceContainerInstantiator`
Get supported intents for the given ContainerTypeDescription. This method will be called to determine what the OSGi remote service supported intents are for the given description during the search for the service exporter provider/containers upon remote service registration.

Specified by:
  `getSupportedIntents` in interface `IContainerInstantiator`
Specified by:
  `getSupportedIntents` in interface `IRemoteServiceContainerInstantiator`
Overrides:
  `getSupportedIntents` in class `BaseContainerInstantiator`
Parameters:
  `description` - the ContainerTypeDescription to return the supported intents for. Will not be `null`.
Returns:
  String[] the supported intents. `null` may be returned if the given description does not support any intents.